<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">

    <bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
        <property name="locations">
            <list>
                <value>classpath:ge-gqual-storage-jdbc.properties</value>
                <value>classpath:ge-gqual-storage-tracker.properties</value>
                <value>classpath:ge-gqual-storage-server.properties</value>
            </list>
        </property>
    </bean>
    <bean id="storageStatus" class="java.util.ArrayList">
        <constructor-arg>
            <list>
                <value>${ge.gqual.storage.error.directory}</value>
                <value>${ge.gqual.storage.archive.directory}</value>
                <value>${ge.gqual.storage.inferno.directory}</value>
                <value>${ge.gqual.storage.partners.directory}</value>
            </list>
        </constructor-arg>
    </bean>

	<!-- Instanciation du bean de configuration PostMail à partir des properties -->
    <bean id="storageConfigurationBean" class="fr.ge.common.storage.ws.bean.conf.StorageConfigurationBean" factory-method="getInstance">
        <property name="storageRootDirectory" value="${ge.gqual.storage.root.directory}" />
        <property name="storageStatus" ref="storageStatus" />
    </bean>

</beans>